/** ###################################################################
**     THIS BEAN MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename  : LEDIO.H
**     Project   : Project
**     Processor : MC9S08QE4_PDIP16
**     Beantype  : BitIO
**     Version   : Bean 02.071, Driver 03.16, CPU db: 3.00.024
**     Compiler  : CodeWarrior HCS08 C Compiler
**     Date/Time : 5/5/2009, 10:03 PM
**     Abstract  :
**         This bean "BitIO" implements an one-bit input/output.
**         It uses one bit/pin of a port.
**         Note: This bean is set to work in Output direction only.
**         Methods of this bean are mostly implemented as a macros
**         (if supported by target language and compiler).
**     Settings  :
**         Used pin                    :
**             ----------------------------------------------------
**                Number (on package)  |    Name
**             ----------------------------------------------------
**                       5             |  PTB7_SCL_EXTAL
**             ----------------------------------------------------
**
**         Port name                   : PTB
**
**         Bit number (in port)        : 7
**         Bit mask of the port        : $0080
**
**         Initial direction           : Output (direction cannot be changed)
**         Initial output value        : 0
**         Initial pull option         : off
**
**         Port data register          : PTBD      [$0002]
**         Port control register       : PTBDD     [$0003]
**
**         Optimization for            : speed
**     Contents  :
**         PutVal - void LEDIO_PutVal(bool Val);
**         ClrVal - void LEDIO_ClrVal(void);
**         SetVal - void LEDIO_SetVal(void);
**         NegVal - void LEDIO_NegVal(void);
**
**     (c) Copyright UNIS, spol. s r.o. 1997-2008
**     UNIS, spol. s r.o.
**     Jundrovska 33
**     624 00 Brno
**     Czech Republic
**     http      : www.processorexpert.com
**     mail      : info@processorexpert.com
** ###################################################################*/

#ifndef LEDIO_H_
#define LEDIO_H_

/* MODULE LEDIO. */

  /* Including shared modules, which are used in the whole project */
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
#include "Cpu.h"


/*
** ===================================================================
**     Method      :  LEDIO_PutVal (bean BitIO)
**
**     Description :
**         This method writes the new output value.
**     Parameters  :
**         NAME       - DESCRIPTION
**         Val             - Output value. Possible values:
**                           FALSE - logical "0" (Low level)
**                           TRUE - logical "1" (High level)
**     Returns     : Nothing
** ===================================================================
*/
void LEDIO_PutVal(bool Val);

/*
** ===================================================================
**     Method      :  LEDIO_ClrVal (bean BitIO)
**
**     Description :
**         This method clears (sets to zero) the output value.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
#define LEDIO_ClrVal() ( \
    (void)clrReg8Bits(PTBD, 0x80)      /* PTBD7=0x00 */ \
  )

/*
** ===================================================================
**     Method      :  LEDIO_SetVal (bean BitIO)
**
**     Description :
**         This method sets (sets to one) the output value.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
#define LEDIO_SetVal() ( \
    (void)setReg8Bits(PTBD, 0x80)      /* PTBD7=0x01 */ \
  )

/*
** ===================================================================
**     Method      :  LEDIO_NegVal (bean BitIO)
**
**     Description :
**         This method negates (inverts) the output value.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
#define LEDIO_NegVal() ( \
    (void)invertReg8Bits(PTBD, 0x80)   /* PTBD7=invert */ \
  )



/* END LEDIO. */
#endif /* #ifndef __LEDIO_H_ */
/*
** ###################################################################
**
**     This file was created by UNIS Processor Expert 3.03 [04.07]
**     for the Freescale HCS08 series of microcontrollers.
**
** ###################################################################
*/
